.download {
  position: relative;
  font-size: 1.3rem;
}
.download a {
  display: block;
  margin: -10px 0 15px;
  text-align: right;
}
.download img {
  width: 14px;
  height: auto;
}

.index {
  padding: 20px 0;
  background-color: #dbdce0;
}
.index_list {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
}
.index .g-btn {
  width: 140px;
  min-width: 0;
  border-radius: 3px;
  white-space: nowrap;
}

.controlPanel {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.controlPanel_l {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
}

.dList {
  display: flex;
}
.dList_h img {
  margin-right: 5px;
  vertical-align: middle;
}

.functionPanel .g-iconBtn {
  color: #b9b9b9;
}
.functionPanel span.g-iconBtn {
  pointer-events: none;
}

.movieList .g-card_head img {
  aspect-ratio: 1/0.75;
}

.no-result {
  display: flex;
  height: 200px;
  align-items: center;
  justify-content: center;
  font-weight: 600;
}

.movieList[data-view=grid] {
  display: flex;
  flex-wrap: wrap;
  align-items: stretch;
  vertical-align: top;
}
.movieList[data-view=grid] .g-card {
  flex: 0 auto;
  background-clip: content-box;
}
.movieList[data-view=grid] .g-card_info,
.movieList[data-view=grid] .g-card_desc {
  display: none;
}
@media (min-width: 769px) {
  .download {
    font-size: 1.6rem;
  }
  .download a {
    position: absolute;
    top: -50px;
    right: 0;
    margin: 0;
  }
  .g-h-1 {
    margin-bottom: 15px;
  }
  .index {
    padding: 25px 0;
  }
  .controlPanel {
    margin: 30px 0 20px;
    gap: 20px;
  }
  .controlPanel_r {
    display: flex;
    align-items: center;
    gap: 20px;
  }
  .controlPanel .g-searchInput {
    width: 100%;
    min-width: 240px;
    max-width: 340px;
  }
  .dList {
    align-items: center;
  }
  .dList_h {
    margin-right: 15px;
  }
  .functionPanel {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 30px;
  }
  .functionPanel-lower {
    margin-top: 30px;
  }
  .functionPanel_r {
    margin-left: 10px;
  }
  .movieList[data-view=list] {
    display: flex;
    flex-direction: column;
    gap: 10px;
  }
  .movieList[data-view=list] .g-card {
    display: grid;
    align-items: flex-start;
    padding: 20px;
    column-gap: 30px;
    grid-template-columns: 280px 1fr;
    grid-template-rows: auto 1fr;
    row-gap: 20px;
  }
  .movieList[data-view=list] .g-card_head {
    flex-shrink: 0;
    grid-column: 1/2;
    grid-row: 1/3;
  }
  .movieList[data-view=list] .g-card_h {
    margin-bottom: 0.2em;
  }
  .movieList[data-view=list] .g-card_body {
    padding: 5px 0 0;
    grid-column: 2/3;
    grid-row: 1/2;
  }
  .movieList[data-view=list] .g-card_info,
.movieList[data-view=list] .g-card_desc {
    margin-top: 0.8em;
  }
  .movieList[data-view=list] .g-card_foot {
    grid-column: 2/3;
    grid-row: 2/3;
  }
  .movieList[data-view=grid] {
    margin: -12.5px;
  }
  .movieList[data-view=grid] .g-card {
    width: 25%;
    padding: 12.5px;
  }
  .movieList[data-view=grid] .g-card_body {
    padding-bottom: 0;
  }
  .movieList[data-view=grid] .g-card_foot {
    padding: 15px 13px 13px;
  }
}
@media (max-width: 768px) {
  .controlPanel {
    flex-direction: column;
    margin: 20px 0 15px;
    gap: 10px;
  }
  .controlPanel .g-dropdown {
    width: calc(50% - 5px);
  }
  .controlPanel_r {
    position: relative;
    width: 100%;
  }
  .controlPanel .g-toggleGroup {
    position: absolute;
    top: 130px;
    gap: 5px;
  }
  .dList {
    flex-direction: column;
  }
  .dList_h {
    margin-bottom: 5px;
  }
  .functionPanel {
    display: flex;
    flex-direction: column;
    margin-bottom: 20px;
  }
  .functionPanel-lower {
    flex-direction: column-reverse;
    margin-top: 20px;
  }
  .functionPanel-lower .functionPanel_l {
    padding-top: 15px;
    padding-bottom: 0;
    border-top: 1px solid #c3c5c8;
    border-bottom: 0;
    margin-top: 15px;
    margin-bottom: 0;
  }
  .functionPanel_l {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    padding-bottom: 10px;
    border-bottom: 1px solid #c3c5c8;
    margin-bottom: 10px;
    gap: 10px;
  }
  .functionPanel_l .g-btn_inner {
    padding-right: 10px;
    padding-left: 10px;
  }
  .functionPanel_l .dList_h {
    display: flex;
    align-items: center;
  }
  .functionPanel_r {
    display: flex;
    align-self: flex-end;
    justify-content: flex-end;
  }
  .functionPanel_r .dList_h {
    margin-left: 1.5em;
  }
  .movieList[data-view=list] {
    display: flex;
    flex-direction: column;
    gap: 10px;
  }
  .movieList[data-view=list] .g-card {
    position: relative;
    display: grid;
    align-items: flex-start;
    padding: 10px;
    column-gap: 10px;
    grid-template-columns: 155px 1fr;
    grid-template-rows: auto 1fr;
    row-gap: 10px;
  }
  .movieList[data-view=list] .g-card_head {
    flex-shrink: 0;
    grid-column: 1/2;
    grid-row: 1/2;
  }
  .movieList[data-view=list] .g-card_h {
    margin-bottom: 0.2em;
    font-size: 1.3rem;
  }
  .movieList[data-view=list] .g-card_body {
    padding: 0;
    grid-column: 2/3;
    grid-row: 1/3;
  }
  .movieList[data-view=list] .g-card_info,
.movieList[data-view=list] .g-card_desc {
    margin-top: 0.5em;
    font-size: 1.1rem;
  }
  .movieList[data-view=list] .g-card_foot {
    grid-column: 1/2;
    grid-row: 2/3;
  }
  .movieList[data-view=grid] {
    margin: -10px -5px;
  }
  .movieList[data-view=grid] .g-card {
    width: 50%;
    padding: 10px 5px;
  }
  .movieList[data-view=grid] .g-card_h {
    font-size: 1.3rem;
  }
  .movieList[data-view=grid] .g-card_body {
    padding: 6px 8px 0;
  }
  .movieList[data-view=grid] .g-card_foot {
    padding: 15px 8px 13px;
  }
}
@media all and (max-width: 550px) {
  .functionPanel_l {
    flex-direction: column;
  }

  .controlPanel .g-toggleGroup {
    top: 165px;
  }
}
